<!DOCTYPE HTML>
<html>
    <head>
        <!-- Mobile Responsive Meta Tag -->
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS Link -->
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>
        <!-- End of Bootstrap CSS Link -->

        <title>Bootstrap Introduction and Simple Styles</title>

    </head>
    <body class="text-center bg-secondary pt-1 pb-1 mt-3 mb-3">
        <!-- Navigation -->
        <div class="text-light bg-primary fixed-top pt-1 pb-1">Fixed Top - Navbar</div>
        <!-- End of Navigation -->

        <!-- Header -->
        <div class="text-center pt-1 pb-1 mt-1 mb-1">
            <h1>Bootstrap Introduction and Simple Styles</h1>
            <div class="d-none d-lg-inline-block w-25 mt-4">
                <img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
            </div>
        </div>
        <!-- End of Header -->

        <!-- Bootstrap Utility Classes -->
        <div class="container-fluid">

            <!-- Bootstrap Color Classes Table -->
            <h2>Bootstrap Color Classes</h2>

            <table class="table table-dark table-bordered pt-1 pb-1 mt-1 mb-1">
                <thead>
                    <tr>
                        <th>Text</th>
                        <th>Background</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>
                            <a href="#" class="text-primary">
                                Primary link
                            </a>
                        </td>
                        <td class="bg-primary text-white">
                            Primary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-secondary">
                                Secondary link
                            </a>
                        </td>
                        <td class="bg-secondary text-white">
                            Secondary
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-success">
                                Success link
                            </a>
                        </td>
                        <td class="bg-success text-white">
                            Success
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-danger">
                                Danger link
                            </a>
                        </td>
                        <td class="bg-danger text-white">
                            Danger
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-warning">
                                Warning link
                            </a>
                        </td>
                        <td class="bg-warning text-white">
                            Warning
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-info">
                                Info link
                            </a>
                        </td>
                        <td class="bg-info text-white">
                            Info
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-light">
                                Light link
                            </a>
                        </td>
                        <td class="bg-light text-dark">
                            Light
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-dark">
                                Dark link
                            </a>
                        </td>
                        <td class="bg-dark text-white">
                            Dark
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-muted">
                                Muted link
                            </a>
                        </td>
                        <td class="bg-transparent text-white">
                            Transparent
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <a href="#" class="text-white">
                                White link
                            </a>
                        </td>
                        <td class="bg-white text-dark">
                            White
                        </td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Color Classes Table -->

            <!-- Bootstrap Text Alignment Classes Table -->
            <h2>Bootstrap Text Classes</h2>

            <table class="table table-dark text-light table-bordered pt-1 pb-1 mt-1 mb-1">
                <thead>
                    <tr>
                        <th>Alignment</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td class="text-left">Left</td>
                    </tr>
                    <tr>
                        <td class="text-center">Center</td>
                    </tr>
                    <tr>
                        <td class="text-right">Right</td>
                    </tr>
                    <tr>
                        <!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
                        <!-- All mobile views in Google Chrome browser are considered small screen sizes -->
                        <!-- Screen size is greater than or equal to 576px -->
                        <!-- Larger mobile phones -->
                        <td class="text-sm-center">Small Center</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 786px -->
                        <!-- Tablets -->
                        <td class="text-right text-md-left"> Others Right / Medium Left</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 992px -->
                        <!-- Desktop -->
                        <td class="text-lg-right">Large Right</td>
                    </tr>
                    <tr>
                        <!-- Screen size is greater than or equal to 1200px -->
                        <!-- TV and other large screens -->
                        <td class="text-xl-center">Extra Large Center</td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Text Alignment Classes Table -->

            <!-- Bootstrap Text Fonts -->
            <table class="table table-dark text-light table-bordered pt-1 pb-1 mt-3 mb-1">
                <thead>
                    <tr>
                        <th>Text Transform</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><p class="text-lowercase font-weight-bold">Lowercased bold text</p></td>
                    </tr>
                    <tr>
                        <td><p class="text-uppercase font-weight-normal">Uppercased normal text</p></td>
                    </tr>
                    <tr>
                        <td><p class="text-capitalize font-weight-light">capitalized light text</p></td>
                    </tr>
                    <tr>
                        <td><a href="#" class="text-decoration-none font-italic">Non-underlined Italic link</a></td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Text Fonts -->

            <!-- Bootstrap Border and Sizing Classes -->
            <h2>Bootstrap Border and Sizing Classes</h2>

            <table class="table table-dark text-light table-bordered pt-1 pb-1 mt-1 mb-4">
                <thead>
                    <tr>
                        <th>Border</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><p class="bg-info rounded text-white m-1 border border-primary">Rounded</p></td>
                    </tr>
                    <tr>
                        <td><p class="bg-secondary rounded-circle text-white m-1 border border-white">Rounded Circle</p></td>
                    </tr>
                    <tr>
                        <td><p class="bg-warning rounded-pill text-white m-1 border border-danger">Rounded Pill</p></td>
                    </tr>
                </tbody>
            </table>
            <!-- End of Bootstrap Border and Sizing Classes -->

            <!-- Footer -->
            <div class="text-light bg-primary fixed-bottom pt-1 pb-1">Fixed Bottom - Footer</div>
            <!-- End of Footer -->

        </div>
        <!-- End of Bootstrap Utility Classes -->

        <!-- Bootstrap JS Script -->
        <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
        <!-- End of Bootstrap JS Script -->
    </body>
</html>